import {Component, OnInit} from '@angular/core';
import {CartService} from '../service/cart.service';
import {CurrencyPipe, NgForOf} from '@angular/common';
import {Product} from '../products';
import {RouterLink} from '@angular/router';
import {FormBuilder, FormGroup, ReactiveFormsModule} from '@angular/forms';

@Component({
  selector: 'app-cart',
  standalone: true,
  imports: [
    NgForOf,
    CurrencyPipe,
    RouterLink,
    ReactiveFormsModule
  ],
  templateUrl: './cart.component.html',
  styleUrl: './cart.component.css'
})
export class CartComponent implements OnInit {
  protected _items: Product[] = [];

  protected checkoutForm!: FormGroup;

  constructor(
    private _cartService: CartService,
    private _formBuilder: FormBuilder
  ) {
  }

  ngOnInit(): void {
    this._items = this._cartService.items;
    this.checkoutForm =  this._formBuilder.group({
      name: '',
      address: ''
    });
  }

  onSubmit(): void {
    this._items = this._cartService.clearCart();
    console.warn('Your order has been submitted', this.checkoutForm.value);
    this.checkoutForm.reset();
  }
}
