import {Component, OnInit} from '@angular/core';
import {Product, products} from '../products';
import {CurrencyPipe, NgIf} from '@angular/common';
import {ActivatedRoute} from '@angular/router';
import {CartService} from '../service/cart.service';

@Component({
  selector: 'app-product-detail',
  standalone: true,
  imports: [
    NgIf,
    CurrencyPipe
  ],
  templateUrl: './product-detail.component.html',
  styleUrl: './product-detail.component.css'
})
export class ProductDetailComponent implements OnInit{
  _product: Product | undefined;
  constructor(
    private route: ActivatedRoute,
    private cartService: CartService
    ) {
  }

  ngOnInit(): void {
    const routeParams = this.route.snapshot.paramMap;
    const productIdFromRoute = Number(routeParams.get('productId'));

    this._product = products.find(product => product.id === productIdFromRoute);
  }

  addToCart(product: Product) {
    console.log(product)
    this.cartService.addToCart(product);

    window.alert('Your product has been added to the cart!');

  }
}
