import { Injectable } from '@angular/core';
import {Product} from '../products';
import {HttpClient} from '@angular/common/http';
import {Shipping} from '../shipping';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CartService {
  private _items: Product[] = [];

  constructor(private http: HttpClient) {
  }

  public addToCart(product: Product): void {
    this._items.push(product);
  }

  public get items() {
    return this._items;
  }

  public clearCart(): Product[] {
    this._items = [];

    return this._items;
  }

  public getShippingPrices(): Observable<Shipping[]> {
    return this.http.get<Shipping[]>('/assets/shipping.json');
  }
}
