import {Component, OnInit} from '@angular/core';
import {CartService} from '../service/cart.service';
import {Observable} from 'rxjs';
import {Shipping} from '../shipping';
import {AsyncPipe, CurrencyPipe, NgForOf} from '@angular/common';

@Component({
  selector: 'app-shipping',
  standalone: true,
  imports: [
    AsyncPipe,
    CurrencyPipe,
    NgForOf
  ],
  templateUrl: './shipping.component.html',
  styleUrl: './shipping.component.css'
})
export class ShippingComponent implements OnInit {
  protected shippingCosts!: Observable<Shipping[]>;

  constructor(private cartService: CartService) {
  }

  ngOnInit(): void {
    this.shippingCosts = this.cartService.getShippingPrices();
  }

}
